Page MenuHomePhabricator

Merge Extension:TwoFactorAuthentication into Extension:OATHAuth
Closed, ResolvedPublic

Description

So because of the architectural differences between the two extensions, I figured it'd just be easier to make a tracking bug and have bugs for all the things OATHAuth is missing that TwoFactorAuthentication has. Then I'll re-fix those things one-by-one rather than attempting some kind of massive code merge.

Details

Reference
bz53192

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:08 AM
bzimport set Reference to bz53192.
Legoktm triaged this task as Normal priority.Jan 28 2015, 7:07 AM
Legoktm updated the task description. (Show Details)
Legoktm added a project: Technical-Debt.
Legoktm set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2015, 10:06 AM
Phabricator_maintenance renamed this task from Merge Extension:TwoFactorAuthentication into Extension:OATHAuth (tracking) to Merge Extension:TwoFactorAuthentication into Extension:OATHAuth.Aug 13 2016, 11:32 PM
Reedy added a subscriber: Reedy.Nov 12 2016, 2:23 AM

Is there just T55197 left to do here?

Or do we still have other features/improvements to gain?

It should be just that. I filed a bug for every difference between the two at the time.

Kghbln added a subscriber: Kghbln.Aug 17 2017, 10:06 PM

What is the status of this. Can this extension be archived?

@Kghbln: See the two comments before your comment? :)

@Aklapper I have seen this. So we can now archive the extension since a patch set is already in place, no?

Can you link to the merged commit you refer to that fixed T55197? That task is open and blocking this task.

You are indeed serious. Well ...

Kghbln removed a subscriber: Kghbln.Aug 18 2017, 2:16 PM

So we can now archive the extension since a patch set is already in place, no?

tracked at T178770

Reedy closed this task as Resolved.Jun 2 2018, 8:01 PM

Extension is archived...